<!DOCTYPE html>
<html lang="en">

<head>
  <title>Bootstrap Example</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onPageLoading()">
  <h3>Order Detail !!!</h3>
  <div class="container">
    <div class="form-group">
      <label>01. OrderCode (mã đơn hàng)</label>
      <input class="form-control" id="inp-ordercode" placeholder="Enter order code">
    </div>

    <div class="form-group">
      <label>02. Cỡ combo </label>
      <select class="form-control" id="select-combo">
        <option value="NOT_SELECT_COMBO">Chọn cỡ combo (combo-size)</option>
      </select>
    </div>
    <div class="form-group">
      <label>03. Đường kính pizza</label>
      <input class="form-control" id="inp-duongkinh">
    </div>
    <div class="form-group">
      <label>04. Sườn nướng (miếng)</label>
      <input class="form-control" id="inp-suon">
    </div>
    <div class="form-group">
      <label>05. Đồ uống</label>
      <select class="form-control" id="select-nuoc">
        <option value="NOT_SELECT_NUOC">Chọn loại nước uống</option>
      </select>
    </div>
    <div class="form-group">
      <label>06. Số lượng Nước uống</label>
      <input class="form-control" id="inp-slnuoc">
    </div>
    <div class="form-group">
      <label>07. VoucherID</label>
      <input class="form-control" id="inp-voucherid">
    </div>
    <div class="form-group">
      <label>08. Loại Pizza</label>
      <select class="form-control" id="select-pizza">
        <option value="NOT_SELECT_PIZZA">Chọn loại Pizza</option>
      </select>
    </div>
    <div class="form-group">
      <label>09. Salad</label>
      <input class="form-control" id="inp-salad">
    </div>
    <div class="form-group">
      <label>10. Thành tiền</label>
      <input class="form-control" id="inp-thanhtien">
      <div class="form-group">
      </div>
      <div class="form-group">
        <label>11. Giảm giá</label>
        <input class="form-control" id="inp-giamgia">
      </div>
      <div class="form-group">
        <label>12. Họ và Tên</label>
        <input class="form-control" id="inp-hoten">
      </div>
      <div class="form-group">
        <label>13. Email</label>
        <input class="form-control" id="inp-email">
      </div>
      <div class="form-group">
        <label>14. Số điện thoại</label>
        <input class="form-control" id="inp-sodienthoai">
      </div>
      <div class="form-group">
        <label>15. Địa chỉ</label>
        <input class="form-control" id="inp-diachi">
      </div>
      <div class="form-group">
        <label>16. Lời nhắn</label>
        <input class="form-control" id="inp-loinhan">
      </div>
      <div class="form-group">
        <label>17. Trạng thái đơn hàng</label>
        <input class="form-control" id="inp-trangthai">
      </div>
      <div class="form-group">
        <label>18. Ngày tạo đơn</label>
        <input class="form-control" id="inp-ngaytao">
      </div>
      <div class="form-group">
        <label>19. Ngày cập nhật</label>
        <input class="form-control" id="inp-ngaycapnhat">
      </div>

      <div class="form-group text-left">
        <button type="button" class="btn btn-success">Confirm</button>
        <button type="button" class="btn btn-info">Cancel</button>
      </div>
</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  const gREQUEST_STATUS_OK = 200;
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
  const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
  const urlParams = new URLSearchParams(window.location.search);
  const gOrderCode = urlParams.get('ordercode');//B1 thu thập
  console.log(gOrderCode);
  const gOrderId = urlParams.get('id');//B1 thu thập
  console.log(gOrderId);
  /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

  //getOrderInfo(gOrderCode);//B2: khỏi //B3: gọi API
  //REGION 3:                                   //B4: 
  function onPageLoading() {
    "use strict";
    loadDataDrinkList();
    if (gOrderCode == null && gOrderId == null) {
      alert("không tìm thấy đơn hàng");
      window.location.href = "pizza365v1.0.html";
    }
    else {
      getOrderInfo(gOrderCode);
    }
  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  function getOrderInfo(paramOrderCode){
    var vXMLHttpRequest=new XMLHttpRequest();
        callApiToGetInfo(gOrderCode, vXMLHttpRequest);//gọi API theo OrderCode
        vXMLHttpRequest.onreadystatechange =
            function () {
                if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                  console.log(vXMLHttpRequest.responseText);
                    var vOrderObj=JSON.parse(vXMLHttpRequest.responseText);
                    console.log(vOrderObj);// ghi thử ra console
                  loadDataToForm(vOrderObj);
                 
                }
                else if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status != gREQUEST_STATUS_OK) {
                    alert("ID không hợp lệ, trang web tự động chuyển về trang cũ");
                    window.location.href="LoadUsersData.html";
                }
            }
  }
  function callApiToGetInfo(paramOrderCode, paramXMLHttpRequest){
    "use strict";
        paramXMLHttpRequest.open("GET", gBASE_URL+"/"+paramOrderCode, true);
        paramXMLHttpRequest.send();
  }
  function loadDataToForm(paramOrderInfo){
    "use strict";
        var vElement01=document.getElementById("inp-ordercode");
        var vElement02=document.getElementById("select-combo");
        var vElement03=document.getElementById("inp-duongkinh");
        var vElement04=document.getElementById("inp-suon");
        var vElement05=document.getElementById("select-nuoc");
        var vElement06=document.getElementById("inp-slnuoc");
        var vElement07=document.getElementById("inp-voucherid");
        
        var vElement08=document.getElementById("select-pizza");
        var vElement09=document.getElementById("inp-salad");
        var vElement10=document.getElementById("inp-thanhtien");
        var vElement11=document.getElementById("inp-giamgia");
        var vElement12=document.getElementById("inp-hoten");
        var vElement13=document.getElementById("inp-email");
        var vElement14=document.getElementById("inp-sodienthoai");
        var vElement15=document.getElementById("inp-diachi");
        var vElement16=document.getElementById("inp-loinhan");
        var vElement17=document.getElementById("inp-trangthai");
        var vElement18=document.getElementById("inp-ngaytao");
        var vElement19=document.getElementById("inp-ngaycapnhat");
        
        vElement01.value=paramOrderInfo.orderCode;
        vElement02.options[vElement02.selectedIndex].text=paramOrderInfo.kichCo;
        vElement03.value=paramOrderInfo.duongKinh;
        vElement04.value=paramOrderInfo.suon;
        vElement05.options[vElement05.selectedIndex].text=paramOrderInfo.idLoaiNuocUong;
        vElement06.value=paramOrderInfo.soLuongNuoc;
        vElement07.value=paramOrderInfo.idVourcher;
        vElement08.options[vElement08.selectedIndex].text=paramOrderInfo.loaiPizza;
        vElement09.value=paramOrderInfo.salad;
        vElement10.value=paramOrderInfo.thanhTien;
        vElement11.value=paramOrderInfo.giamGia;
        vElement12.value=paramOrderInfo.hoTen;
        vElement13.value=paramOrderInfo.email;
        vElement14.value=paramOrderInfo.soDienThoai;
        vElement15.value=paramOrderInfo.diaChi;
        vElement16.value=paramOrderInfo.loiNhan;
        vElement17.value=paramOrderInfo.trangThai;
        vElement18.value=paramOrderInfo.ngayTao;
        vElement19.value=paramOrderInfo.ngayCapNhat;
  }
  function loadDataDrinkList(){
    "use strict";
    var vXhttp= new XMLHttpRequest();
    vXhttp.open("GET", "http://203.171.20.210:8080/devcamp-pizza365/drinks", true);
    vXhttp.send();
    vXhttp.onreadystatechange =
            function () {
                if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                  console.log(vXhttp.responseText);
                    var vDrinkObj=JSON.parse(vXhttp.responseText);
                    console.log(vDrinkObj);// ghi thử ra console
                  handlerDrinkToSelectElement(vDrinkObj);
                 
                }
               
            };
  }
  function handlerDrinkToSelectElement(paramDrinkObj){
    var vElementSelectDrink=document.getElementById("select-nuoc");
    for (var bI=0; bI<paramDrinkObj.length; bI++){
      var vDrinkOptionElement=document.createElement("option");
      vDrinkOptionElement.value=paramDrinkObj[bI].maNuocUong;
      vDrinkOptionElement.text=paramDrinkObj[bI].tenNuocUong;
      vElementSelectDrink.appendChild(vDrinkOptionElement);
    }
  }
</script>


</html>